import { DateTime } from 'luxon';

const dtToUTC = (datetime, timezone) => {
	// Create a date object with the selected timezone
	const dt = DateTime.fromObject({
		year: datetime.getFullYear(),
		month: datetime.getMonth(),
		day: datetime.getDate(),
		hour: datetime.getHours(),
		minute: datetime.getMinutes(),
		zone: timezone,
	});

	// Convert and return a UTC Timestamp
	return dt.toUTC().toISO();
};

export default dtToUTC;
